Callback¶
For client to receive transaction message, please check the callback implementation guide to learn more about callback implementations.
Endpoint¶
Parameters¶
Body Parameters¶
| Field | Type | Description |
|---|---|---|
| domain_id Required | String | Enterprise ID |
| b_id Required | String | Business line ID |
| wallet_code Required | String | Wallet ID |
| order_id Required | String | Order ID |
| confirmations Required | Integer | Block Confirmation |
| event_status Required | String | Different status for various event type WITHDRAW: PROCESSING, PARTIALLY_FAILED, MANUAL_APPROVAL, FAILED, ORDER_SEND_OUT, FINISHED, CANCELED, WAITING_FOR_APPROVAL, REJECTED DEPOSIT: UNCONFIRMED, CONFIRMED, ROLLBACKED, ROLLBACKED_RBF, FROZEN, FROZEN_REFUND_WAITING_ADDRESS, REFUNDED |
| event_type Required | String | Event Type Allowed values: WITHDRAW, DEPOSIT, DEPOSIT_ROLLBACK, EXECUTE_CONTRACT, SIGN, REBASE,NFT_DEPOSIT |
| detail_id Required | String | Wallet Detail ID (When more than one ID exists, they are split by commas). |
Request Body Example¶
{
"domain_id": "a5b3f782c4e24c688eca60946442a75f",
"b_id": "ed70ff75b1fe4994a3bd836befe0e87f",
"wallet_code": "CHBTC4813422686",
"order_id": "666666000000001",
"confirmations": 6,
"event_status": "FINISHED",
"event_type": "WITHDRAW",
"detail_id": "12345,12346"
}
Response¶
Response Body¶
| Field | Type | Description |
|---|---|---|
| code | Integer | Response code (0 = success, indicates that the client has completed processing and no further notifications will be sent; otherwise, the callback will be repeatedly invoked.) |
| message | String | Response message |
| data | String | Callback Address |
| successful | Boolean | Whether the request was successful |